Bug 24988 - autorenew_checkouts should default to yes
Summary: autorenew_checkouts should default to yes
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 24476
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-26 12:35 UTC by Nick Clemens
Modified: 2020-06-11 00:19 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24988: Default to autorenew_checkouts for new patrons (1.64 KB, patch)
2020-03-26 13:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24988: Default to autorenew_checkouts for new patrons (1.71 KB, patch)
2020-03-26 13:52 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24988: Default to autorenew_checkouts for new patrons (1.76 KB, patch)
2020-03-26 14:40 UTC, Devinim
Details | Diff | Splinter Review
Bug 24988: Default to autorenew_checkouts for new patrons (1.83 KB, patch)
2020-03-26 16:08 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-03-26 12:35:19 UTC
TO recreate:
Create a new patron
Note that 'Allow auto-renewal of items' defaults to 'no'
This is a regression caused by bug 24476
Comment 1 Nick Clemens 2020-03-26 13:39:44 UTC
Created attachment 101836 [details] [review]
Bug 24988: Default to autorenew_checkouts for new patrons

To recreate:
1 - Create a new patron on the staff interface
2 - Note that 'Allow auto-renewal of items' defaults to 'no'
3 - Apply patch
4 - Create another patron
5 - 'Allow auto-renewal of items' defaults to 'yes'
Comment 2 ByWater Sandboxes 2020-03-26 13:52:23 UTC
Created attachment 101849 [details] [review]
Bug 24988: Default to autorenew_checkouts for new patrons

To recreate:
1 - Create a new patron on the staff interface
2 - Note that 'Allow auto-renewal of items' defaults to 'no'
3 - Apply patch
4 - Create another patron
5 - 'Allow auto-renewal of items' defaults to 'yes'

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Devinim 2020-03-26 14:28:51 UTC
You are faster than us Nick!
Comment 4 Devinim 2020-03-26 14:40:38 UTC
Created attachment 101863 [details] [review]
Bug 24988: Default to autorenew_checkouts for new patrons

To recreate:
1 - Create a new patron on the staff interface
2 - Note that 'Allow auto-renewal of items' defaults to 'no'
3 - Apply patch
4 - Create another patron
5 - 'Allow auto-renewal of items' defaults to 'yes'

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 5 Kyle M Hall 2020-03-26 16:08:50 UTC
Created attachment 101888 [details] [review]
Bug 24988: Default to autorenew_checkouts for new patrons

To recreate:
1 - Create a new patron on the staff interface
2 - Note that 'Allow auto-renewal of items' defaults to 'no'
3 - Apply patch
4 - Create another patron
5 - 'Allow auto-renewal of items' defaults to 'yes'

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Martin Renvoize 2020-03-27 08:38:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 22:43:34 UTC
does not apply to 19.11.x
please rebase if needed.